<ion-header [translucent]="true" class="ion-no-border">
  <ion-toolbar>
    <ion-title>
      Inicio
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="autosRegistrados.length !== 0">

  <ion-content *ngIf="cargaActiva === null">
    <ion-list lines="none">
      <ion-item lines="none" style="padding-left: 24px; padding-bottom:10px;">
        <label
        class="main-title">Cargar gasolina</label>
      </ion-item>
    </ion-list>
    <div class="select-div" (click)="openCarModal()">
      <ion-icon size="large" class="select-icon" name="car-sport" [style.color]="varColor" slot="start"></ion-icon>
      <ion-label style="padding-left:12px;"> {{pedido.carga.auto.nickname}}  </ion-label>
      <!-- <ion-select label="Elige un auto" fill="solid" [placeholder]= "autosRegistrados[0].nickname" [(ngModel)]="pedido.carga.auto">
        <ion-select-option *ngFor="let auto of autosRegistrados" [value]="auto">
          <ion-icon name="car">{{auto.nickname}}</ion-icon>
        </ion-select-option>
      </ion-select> -->
    </div>
    <div class="select-div ubicacion-div" (click)="showModalUbicaciones()">
      <ion-icon color="primary" size="large" class="select-icon" name="navigate" slot="start"></ion-icon>
      <ion-label style="padding-left:12px;">
        {{direccion.calle}} {{direccion.numero}} {{direccion.colonia}} {{direccion.ciudad}}
      </ion-label>

    </div>

    <div *ngIf="cargaNueva.auto.fuel !== 'Diesel'" class="ion-padding">
      <ion-segment mode="ios" [value]="cargaNueva.auto.fuel" swipe-gesture="true" (ionChange)="accordionGroupChange($event)">
        <ion-segment-button value="Regular">
          <ion-label>Regular</ion-label>
        </ion-segment-button>
        <ion-segment-button value="Premium">
          <ion-label>Premium</ion-label>
        </ion-segment-button>
      </ion-segment>
    </div>
    <div *ngIf="cargaNueva.auto.fuel === 'Diesel'" class="ion-padding">
      <ion-segment mode="ios" value="Diesel" swipe-gesture="false">
        <ion-segment-button value="Diesel">
          <ion-label>Diesel</ion-label>
        </ion-segment-button>
      </ion-segment>
    </div>
      <app-precio-header [direccion]="direccion" [tipo]="cargaNueva.auto.fuel"></app-precio-header>
      <app-boton-animado [tipo]="cargaNueva.auto.fuel" (click)="iniciarPedido($event)" ></app-boton-animado>
  </ion-content>

  <ion-content fullscreen="true" *ngIf="imgQR !== ''">
    <app-ticket [start]="direccion.ubicacion" [end]="estacion?.direccion?.ubicacion" [qr]="imgQR" [pedido]="cargaTicket"></app-ticket>
  </ion-content>


</ion-content>

<ion-content *ngIf="autosRegistrados.length === 0" class="ion-padding">

  <div class="inicio">
    <ion-segment [value]="tipoFuel" swipe-gesture="true" [(ngModel)]=tipoFuel>
      <ion-segment-button value="Regular">
        <ion-label>Regular</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Premium">
        <ion-label>Premium</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Diesel">
        <ion-label>Diesel</ion-label>
      </ion-segment-button>
    </ion-segment>
    <app-precio-header class="ion-padding" [tipo]="tipoFuel"></app-precio-header>
      <ion-list style="display: flex;
      flex-direction: column;
      align-items: center;">
        <ion-label class="ion-padding">
          Para comenzar, registra tu auto
        </ion-label>
        <ion-button (click)="nuevoAuto()">
          <ion-icon name="add-outline" slot="start"></ion-icon>
          Agregar auto
        </ion-button>
      </ion-list>
  </div>



</ion-content>


